Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rdlc.commands
Class Shell.Language

    java.lang.Object
      rdlc.commands.Shell.Language

Direct Known Subclasses:
  Shell, Shell, Shell

Enclosing class:
  Shell

    public abstract static class Shell.Language

extends java.lang.Object

Abstract class form which all language specific map plugins inherit. Has some standard fields which all map plugins will need.

Version:
  $Revision: 1.18 $
Author:
  Greg Gibeling

Field Summary
`protected Shell` | `command` The command object from which this was invoked.
`protected java.lang.String` | `config` The configuration string for this language.
`protected Platform` | `platform` The RDL platform object for this language.
`protected Unit` | `unit` The RDL unit object for this language.

Constructor Summary
`Shell.Language(Shell _command, java.lang.String _config, Unit _unit, Platform _platform)` Base constructor, merely saves it's arguments.

Method Summary
`void` | `backEndPlugin(PluginField pluginField)` Invoke the given plugin if it applies to this platform or language.
`abstract java.util.List<java.io.File>` | `invoke()` Invoke this language specific output generator and return a manifest of the files it generates.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### command

    protected Shell command

  The command object from which this was invoked.

### unit

    protected Unit unit

  The RDL unit object for this language.

### platform

    protected Platform platform

  The RDL platform object for this language.

### config

    protected java.lang.String config

  The configuration string for this language.

Constructor Detail

### Shell.Language

    public Shell.Language(Shell _command,
                          java.lang.String _config,
                          Unit _unit,
                          Platform _platform)

  Base constructor, merely saves it's arguments.

  Parameters:
    `_command` - The command which generated this language object.
    `_config` - The configuration string for this language.
    `_unit` - The RDL unit object for this language.
    `_platform` - The RDL platform object for this language.

Method Detail

### invoke

    public abstract java.util.List<java.io.File> invoke()

  Invoke this language specific output generator and return a manifest of the files it generates.

### backEndPlugin

    public void backEndPlugin(PluginField pluginField)

  Invoke the given plugin if it applies to this platform or language.

  Parameters:
    `pluginField` - The plugin to match and invoke.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD